import request from '../../utils/request'

export function specialChronicDiseasesRecord(data) {
  return request({
    url: '/siPsnRcd/specialChronicDiseasesRecord',
    method: 'post',
    data,
  })
}

export function getAllSpcChrRcdsByPsnNo(psnNo) {
  return request({
    url: '/siPsnRcd/getAllSpcChrRcdsByPsnNo',
    method: 'get',
    params: { psnNo },
  })
}

export function revokeSpecialChronicDiseasesRecord(data) {
  return request({
    url: '/siPsnRcd/revokeSpecialChronicDiseasesRecord',
    method: 'post',
    data,
  })
}

export function transferHospitalRecord(data) {
  return request({
    url: '/siPsnRcd/transferHospitalRecord',
    method: 'post',
    data,
  })
}

export function getAllTrsHospRcdByPsnNo(psnNo) {
  return request({
    url: '/siPsnRcd/getAllTrsHospRcdByPsnNo',
    method: 'get',
    params: { psnNo },
  })
}

export function revokeTransferHospitalRecord(data) {
  return request({
    url: '/siPsnRcd/revokeTransferHospitalRecord',
    method: 'post',
    data,
  })
}

export function personnelAssignmentRecord(data) {
  return request({
    url: '/siPsnRcd/personnelAssignmentRecord',
    method: 'post',
    data,
  })
}

export function getAllPsnAsgnmtRcdByPsnNo(psnNo) {
  return request({
    url: '/siPsnRcd/getAllPsnAsgnmtRcdByPsnNo',
    method: 'get',
    params: { psnNo },
  })
}

export function revokePersonnelAssignmentRecord(data) {
  return request({
    url: '/siPsnRcd/revokePersonnelAssignmentRecord',
    method: 'post',
    data,
  })
}

export function selectAllSpcSlwRcds(begntime, endtime) {
  return request({
    url: '/siPsnRcd/selectAllSpcSlwRcds',
    method: 'get',
    params: { begntime, endtime },
  })
}
